summaryrefslogtreecommitdiffstats
path: root/network/palemoon
diff options
context:
space:
mode:
Diffstat (limited to 'network/palemoon')
-rw-r--r--network/palemoon/README55
-rw-r--r--network/palemoon/adNauseam-unblock.patch16
-rw-r--r--network/palemoon/glib-c-arc4random.c.patch20
-rw-r--r--network/palemoon/glibc-2.30+.patch43
-rw-r--r--network/palemoon/palemoon.SlackBuild67
-rw-r--r--network/palemoon/palemoon.info12
6 files changed, 91 insertions, 122 deletions
diff --git a/network/palemoon/README b/network/palemoon/README
index 72c8031fec..bc814b6490 100644
--- a/network/palemoon/README
+++ b/network/palemoon/README
@@ -11,40 +11,37 @@ This SlackBuild attempts to compile, build and package Pale Moon,
Slackware style, in a manner that conforms to official Pale Moon Linux
releases; while, at the same time, providing useful and easy ways to
deviate if desired. This SlackBuild may conflict with the alternative
-SlackBuild known, here at SBo, as "palemoon-bin"; which repackages binaries
-offically released by the Pale Moon devs.
+SlackBuild known, here at SBo, as "palemoon-bin"; which repackages
+binaries offically released by the Pale Moon devs.
-----------------------------------------------------------------------------
+------------------------------------------------------------------------
-See http://docs.slackware.com/howtos:software:palemoon for additional tips and
-help resources.
+See http://docs.slackware.com/howtos:software:palemoon for additional
+tips and help resources.
Using the Oxygen theme is known to cause Pale Moon to crash; if you are
-experiencing crashes, and segfaults, make sure you are not using this theme;
-or use Alienbob's patched oxygen-gtk2; which will fix this issue.
-http://www.slackware.com/~alien/slackbuilds/oxygen-gtk2/build/
-See the help doc link above for other creative tips and workarounds.
+experiencing crashes, and segfaults, make sure you are not using this
+theme; or use Alienbob's patched oxygen-gtk2; which will fix this issue.
+http://www.slackware.com/~alien/slackbuilds/oxygen-gtk2/build/ See the
+help doc link above for other creative tips and workarounds.
-A native fork of FireFox's developer tools exists as an external add-on or
-internally. Pale Moon by default ships with the developer tools internally;
-if this is undesirable, dev tools can be disabled by passing the script the
-parameter:
+A native fork of FireFox's developer tools exists as an external add-on
+or internally. Pale Moon by default ships with the developer tools
+internally; if this is undesirable, dev tools can be disabled by passing
+the script the parameter:
- DEVTOOLS=no ./palemoon.SlackBuild
+ DEVTOOLS=no ./palemoon.SlackBuild
-Pale Moon's default is to build, ship, and use its own internal dictionary;
-if desired, however, do USE_SYSTEM_HUNSPELL=yes ./palemoon.SlackBuild, to
-use the Slackware system Hunspell instead. This assumes you have dictionaries
-such as hunspell-en or hunspell-es installed in /usr/share/hunspell -- the
-location that a few SlackBuilds at SBo install them.
+Pale Moon's default is to build, ship, and use its own internal
+dictionary; if desired, however, do USE_SYSTEM_HUNSPELL=yes
+./palemoon.SlackBuild, to use the Slackware system Hunspell instead.
+This assumes you have dictionaries such as hunspell-en or hunspell-es
+installed in /usr/share/hunspell -- the location that a few SlackBuilds
+at SBo install them.
-To remove the "AdNauseam" extension from the Pale Moon blocklist, do
-
- ADNAUSEAM=unblock ./palemoon.SlackBuild
-
-If your processor doesn't support sse2 instructions or you get segfaults,
-try looking in the SlackBuild for the OPTIMIZE build option (eventually
-refer to the Pale Moon developers for help).
+If your processor doesn't support sse2 instructions or you get
+segfaults, try looking in the SlackBuild for the OPTIMIZE build option
+(eventually refer to the Pale Moon developers for help).
jack-audio-connection-kit is an optional dependency and, if detected,
automatically built. If this is undesirable you can blacklist jack, by
@@ -52,6 +49,10 @@ passing the variable:
BLACKLIST_JACK=yes ./palemoon.SlackBuild
+ALSA=1 will disable pulse audio and build a pure alsa Pale Moon.
+GLIB-C-1PATCH=1 is a patch that will enable compiling on newer glibc
+(such as is found in Slackware current).
+
To enable debug information, pass the script the parameter
- ENABLE_DEBUG=yes
+ ENABLE_DEBUG=yes
diff --git a/network/palemoon/adNauseam-unblock.patch b/network/palemoon/adNauseam-unblock.patch
deleted file mode 100644
index b1ff1b8bb4..0000000000
--- a/network/palemoon/adNauseam-unblock.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-*** a/application/palemoon/app/blocklist.xml 2018-05-19 19:02:40.285091999 -0700
---- b/application/palemoon/app/blocklist.xml 2018-05-19 19:32:36.468323646 -0700
-***************
-*** 2504,2514 ****
- </versionRange>
- <prefs></prefs>
- </emItem>
-- <emItem blockID="pm110" id="adnauseam@rednoise.org">
-- <versionRange minVersion="0" maxVersion="*" severity="2">
-- </versionRange>
-- <prefs></prefs>
-- </emItem>
- <emItem blockID="pm111" id="customtoolbarsplus@srazzano.com">
- <versionRange minVersion="0" maxVersion="52.4.2" severity="3">
- </versionRange>
---- 2504,2509 ----
diff --git a/network/palemoon/glib-c-arc4random.c.patch b/network/palemoon/glib-c-arc4random.c.patch
new file mode 100644
index 0000000000..467434614b
--- /dev/null
+++ b/network/palemoon/glib-c-arc4random.c.patch
@@ -0,0 +1,20 @@
+--- a/palemoon-31.3.0.1_Release/platform/ipc/chromium/src/third_party/libevent/arc4random.c 2022-09-27 20:12:40.000000000 -0000
++++ b/palemoon-31.3.0.1_Release/platform/ipc/chromium/src/third_party/libevent/arc4random.c 2022-10-03 10:09:16.859171354 -0000
+@@ -481,7 +481,8 @@
+ }
+ #endif
+
+-#ifndef HAVE_ARC4RANDOM_BUF
++#if defined(_we_have_arc4random_buf) || !defined(XP_SOLARIS)
++#if (__GLIBC__ <= 2 && __GLIBC_MINOR__ < 36) || !defined(XP_LINUX)
+ ARC4RANDOM_EXPORT void
+ arc4random_buf(void *_buf, size_t n)
+ {
+@@ -496,6 +497,7 @@
+ _ARC4_UNLOCK();
+ }
+ #endif
++#endif
+
+ #ifndef ARC4RANDOM_NOUNIFORM
+ /*
diff --git a/network/palemoon/glibc-2.30+.patch b/network/palemoon/glibc-2.30+.patch
deleted file mode 100644
index b67945d12a..0000000000
--- a/network/palemoon/glibc-2.30+.patch
+++ /dev/null
@@ -1,43 +0,0 @@
---- tools/profiler/tasktracer/GeckoTaskTracer.cpp 2019-08-23 01:47:27.000000000 +0200
-+++ tools/profiler/tasktracer/GeckoTaskTracer.cpp 2019-08-29 18:02:44.541959971 +0200
-@@ -25,20 +25,14 @@
- #if defined(__GLIBC__)
- #include <unistd.h>
- #include <sys/syscall.h>
--static inline pid_t gettid()
--{
-- return (pid_t) syscall(SYS_gettid);
--}
-+#define gettid() static_cast<pid_t>(syscall(SYS_gettid))
- #elif defined(XP_MACOSX)
- #include <unistd.h>
- #include <sys/syscall.h>
--static inline pid_t gettid()
--{
-- return (pid_t) syscall(SYS_thread_selfid);
--}
-+#define gettid() static_cast<pid_t>(syscall(SYS_thread_selfid))
- #elif defined(LINUX)
- #include <sys/types.h>
--pid_t gettid();
-+#pid_t gettid();
- #endif
-
- // NS_ENSURE_TRUE_VOID() without the warning on the debug build.
-
-
---- js/src/jsnativestack.cpp 2019-08-29 17:45:10.000000000 +0200
-+++ js/src/jsnativestack.cpp 2019-08-29 17:53:58.382003265 +0200
-@@ -26,11 +26,7 @@
- # include <sys/syscall.h>
- # include <sys/types.h>
- # include <unistd.h>
--static pid_t
--gettid()
--{
-- return syscall(__NR_gettid);
--}
-+# define gettid() static_cast<pid_t>(syscall(__NR_gettid))
- # endif
-
- #else
diff --git a/network/palemoon/palemoon.SlackBuild b/network/palemoon/palemoon.SlackBuild
index 780f1fe2fc..eddee9ec7a 100644
--- a/network/palemoon/palemoon.SlackBuild
+++ b/network/palemoon/palemoon.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for Pale Moon
-# Copyright 2018,2019 Vasily Sora USA
+# Copyright 2018,2019,2022,2023 Vasily Sora USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,12 +25,15 @@
# Modified by SlackBuilds.org
# Special thanks to Ponce
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=palemoon
-VERSION=${VERSION:-28.9.0.2}
-SRCNAM1=${SRCNAM1:-Pale-Moon-${VERSION}_Release}
-SRCNAM2=${SRCNAM2:-UXP-RELBASE_20200324}
+VERSION=${VERSION:-32.5.0}
+SRCNAM1=${SRCNAM1:-$PRGNAM-${VERSION}_Release}
+SRCNAM2=${SRCNAM2:-uxp-RB_20231030}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -40,7 +43,11 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -48,6 +55,8 @@ OUTPUT=${OUTPUT:-/tmp}
OBJ=${OBJ:-obj-$PRGNAM}
GTK=${GTK:-gtk2}
+DOCS="AUTHORS LICENSE README.md SECURITY.md"
+ALSA=${ALSA:-0}
# You can try changing the optimization level to simply "-O2" if your processor
# doesn't support sse2 instructions.
# "-Os" might help if you experience segfaults.
@@ -59,18 +68,13 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
+ SLKCFLAGS="-O2 -fPIC -Wno-format-overflow"
LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
-# look into adding this as an option:
-# elif [ "$ARCH" = "x86_64" ]; then
-# SLKCFLAGS="-O2 -D_FORTIFY_SOURCE=2 -fstack-protector --param ssp-buffer-size=4 -fPIE -pie -Wl,-z,relro,-z,now -mindirect-branch=th
-
-
# The default is to build with official branding. This SlackBuild is used to
# produce officially approved third party "contributed builds" of Pale Moon.
# This SlackBuild can also be used to produce unapproved packages -- which
@@ -79,9 +83,9 @@ fi
# master trunck of the Pale Moon github repository.
BRANDING=${BRANDING:---enable-official-branding}
if [ "$BRANDING" = "NewMoon" ]; then
- BRANDING="--disable-official-branding --with-branding=application/palemoon/branding/unofficial"
+ BRANDING="--disable-official-branding --with-branding=palemoon/branding/unofficial"
elif [ "$BRANDING" = "unstable" ]; then
- BRANDING="--disable-official-branding --with-branding=application/palemoon/branding/unstable"
+ BRANDING="--disable-official-branding --with-branding=palemoon/branding/unstable"
fi
rm -rf $PKG $TMP/gold $TMP/$OBJ
@@ -143,17 +147,14 @@ PATH=$TMP/autoconf-tmp/usr/bin:$PATH
# Build Pale Moon
cd $TMP
rm -rf $SRCNAM1
-tar -xvf $CWD/$SRCNAM1.tar.gz
+tar -xvzf $CWD/$SRCNAM1.tar.gz # --transform s/pale-moon/${SRCNAM1}/
cd $SRCNAM1
-tar -xvf $CWD/$SRCNAM2.tar.gz -C platform --strip-components 1
-
-if [ "${ADNAUSEAM:-block}" = "unblock" ]; then
- patch -p1 < $CWD/adNauseam-unblock.patch
-fi
+tar -xvzf $CWD/$SRCNAM2.tar.gz --transform s/${SRCNAM2}/platform/
-# Selectively APPLY patch for glibc 2.30+
-if [ "${PATCH_GLIBC:-no}" = "yes" ]; then
- patch -p0 < $CWD/glibc-2.30+.patch
+#patch -p1 < $CWD/basilisk-include-limits.patch
+GLIB_C_1PATCH=${GLIB_C_1PATCH:-0}
+if [ $GLIB_C_1PATCH = 1 ]; then
+ patch -p2 < $CWD/glib-c-arc4random.c.patch
fi
chown -R root:root .
@@ -178,6 +179,8 @@ export MOZ_REQUIRE_SIGNING=
export MOZ_TELEMETRY_REPORTING=
export PYTHON=/usr/bin/python2
+# A stale DBUS_SESSION_BUS_ADDRESS var can cause build failures
+unset DBUS_SESSION_BUS_ADDRESS
# Dev tools are enabled by default in the official binaries, so we should do the same here;
# passing DEVTOOLS=no to the script, however, will disable them.
@@ -214,12 +217,15 @@ for option in $OPTIONS; do echo "ac_add_options $option" >> .mozconfig; done
echo "ac_add_options --enable-optimize=\"$OPTIMIZE\"" >> .mozconfig
if ! pkg-config --exists libpulse; then
-echo "ac_add_options --disable-pulseaudio" >> .mozconfig; fi
+ echo "ac_add_options --disable-pulseaudio" >> .mozconfig
+ TAG=${TAG}_alsa
+elif [ $ALSA = 1 ]; then
+ echo "ac_add_options --disable-pulseaudio" >> .mozconfig
+TAG=${TAG}_alsa; fi
if pkg-config --exists jack && [ "${BLACKLIST_JACK:-no}" != "yes" ]; then
echo "ac_add_options --enable-jack" >> .mozconfig; fi
-sed -i 's/.\/platform\/mach/"python2\ .\/platform\/mach"/g' mach
./mach build
## Clean up; and package Pale Moon.
@@ -257,14 +263,15 @@ ln -s /usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/browser/icons/mozicon128.png \
mkdir -p $PKG/usr/share/applications
cat $CWD/palemoon.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a \
- $TMP/$SRCNAM1/platform/LEGAL $TMP/$SRCNAM1/LICENSE $TMP/$SRCNAM1/README.md $TMP/$SRCNAM1/AUTHORS \
- $PKG/usr/doc/$PRGNAM-$VERSION/
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/UXP
+for docs in $DOCS; do
+ cp $TMP/${SRCNAM1}/$docs $PKG/usr/doc/$PRGNAM-$VERSION/ || true
+ cp $TMP/${SRCNAM1}/platform/$docs $PKG/usr/doc/$PRGNAM-$VERSION/UXP/ || true
+done
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/network/palemoon/palemoon.info b/network/palemoon/palemoon.info
index f5d50e4578..7b472121b0 100644
--- a/network/palemoon/palemoon.info
+++ b/network/palemoon/palemoon.info
@@ -1,14 +1,14 @@
PRGNAM="palemoon"
-VERSION="28.9.0.2"
+VERSION="32.5.0"
HOMEPAGE="http://www.palemoon.org/"
-DOWNLOAD="https://github.com/MoonchildProductions/Pale-Moon/archive/28.9.0.2_Release/Pale-Moon-28.9.0.2_Release.tar.gz
- https://github.com/MoonchildProductions/UXP/archive/RELBASE_20200324/UXP-RELBASE_20200324.tar.gz \
+DOWNLOAD="http://git.schotynet.org/palemoon/snapshot/palemoon-32.5.0_Release.tar.gz \
+ http://git.schotynet.org/uxp/snapshot/uxp-RB_20231030.tar.gz \
http://ponce.cc/slackware/sources/repo/autoconf-2.13.tar.xz"
-MD5SUM="5664cbdc7ad15ceee29a1a993ecfcb23 \
- 0295e8bfeb73a85788de23736f093798 \
+MD5SUM="cddcee238979eaa9b9d945acff2b2ed5 \
+ 0c8a09957c2617e128de391278397cd6 \
f2994d302cf736e7e71974edfa51da3c"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="ffmpeg"
+REQUIRES=""
MAINTAINER="khronosschoty"
EMAIL="khronosschoty@posteo.org"